Bug 1534524 - Apply the changes from bug 1470502 to build-binutils.sh. r=dmajor
authorMike Hommey <mh+mozilla@glandium.org>
Tue, 12 Mar 2019 14:18:47 +0000
changeset 521617 08bd6dbd61cff62c448e03669ec0ff24fad7d8af
parent 521616 f6582e6dba4b9a588312e100c74e9b87b554f716
child 521618 d410e91f369943daafd53906ee15357f795b06ff
push id10867
push userdvarga@mozilla.com
push dateThu, 14 Mar 2019 15:20:45 +0000
treeherdermozilla-beta@abad13547875 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersdmajor
bugs1534524, 1470502
milestone67.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1534524 - Apply the changes from bug 1470502 to build-binutils.sh. r=dmajor Differential Revision: https://phabricator.services.mozilla.com/D23092
build/unix/build-binutils/build-binutils.sh
--- a/build/unix/build-binutils/build-binutils.sh
+++ b/build/unix/build-binutils/build-binutils.sh
@@ -62,17 +62,19 @@ 2.17.1
 EOF
 
 cd ..
 
 # Build binutils
 mkdir binutils-objdir
 cd binutils-objdir
 
-../binutils-$binutils_version/configure --prefix /tools/binutils/ --enable-gold --enable-plugins --disable-nls || exit 1
+# --enable-targets builds extra target support in ld.
+# Enabling aarch64 support brings in arm support, so we don't need to specify that too.
+../binutils-$binutils_version/configure --prefix /tools/binutils/ --enable-gold --enable-plugins --disable-nls --enable-targets=aarch64-unknown-linux-gnu || exit 1
 make $make_flags || exit 1
 make install $make_flags DESTDIR=$root_dir || exit 1
 
 cd ..
 
 # Make a package of the built binutils
 cd $root_dir/tools
 tar caf $root_dir/binutils.tar.xz binutils/